Bug 729684 - Unable to netboot a G5
Summary: Unable to netboot a G5
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yaboot
Version: 16
Hardware: powerpc
OS: Unspecified
medium
high
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-10 14:22 UTC by Karsten Hopp
Modified: 2011-10-28 10:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-28 10:30:17 UTC


Attachments (Terms of Use)
Foto of debug output (1.11 MB, image/jpeg)
2011-08-10 14:22 UTC, Karsten Hopp
no flags Details
truncate memcpy to avoid clobbering the stack, (519 bytes, patch)
2011-08-11 00:10 UTC, Tony Breeds
no flags Details | Diff

Description Karsten Hopp 2011-08-10 14:22:09 UTC
Created attachment 517627 [details]
Foto of debug output

Description of problem:
yaboot-1.3.16-3.fc16 is unable to boot a G5 via network, it just returns to the OF screen. I've used yaboot.debug to get the attached screen capture

Version-Release number of selected component (if applicable):
yaboot-1.3.16-3.fc16.ppc

Comment 1 Tony Breeds 2011-08-11 00:10:54 UTC
Created attachment 517713 [details]
truncate memcpy to avoid clobbering the stack,

Untested patch backported from upstream.

Comment 2 Tony Breeds 2011-08-11 00:53:51 UTC
Scratch build at:
https://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=270692

Let me know how that goes.  If it's good I'll push it into the current releases.

Comment 3 Karsten Hopp 2011-08-11 10:51:55 UTC
I couldn't capture the debug output as it scrolled by too fast, but yaboot.debug and yaboot both successfully started up the system. 
Thanks for the fast fix !


Note You need to log in before you can comment on or make changes to this bug.